Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419835 - udev not persisting ethernet interface names
Summary: udev not persisting ethernet interface names
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: udev
Version: 25
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 08:30 UTC by Dr I J Ormshaw
Modified: 2017-12-12 10:28 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:28:02 UTC
Type: Bug


Attachments (Terms of Use)
systemd-udev log file (113.12 KB, text/x-vhdl)
2017-02-07 08:30 UTC, Dr I J Ormshaw
no flags Details

Description Dr I J Ormshaw 2017-02-07 08:30:23 UTC
Created attachment 1248312 [details]
systemd-udev log file

Description of problem:

I have four ethernet interfaces on my Dell thinkstation P700 two of them
(6c:0b:84:67:70:65 and 6c:0b:84:67:70:64) may change their name on reboot.  Either of them may be called eno1 the other one of eth0,eth1,eth2,eth3.

systemd-udev considers both of them to be on-board ethernet interfaces.

According to 

https://docs.fedoraproject.org/en-US/Fedora/25/html/Networking_Guide/sec-Understanding_the_Device_Renaming_Procedure.html

they should be named from their network manager configuration.  This is clearly not happening.

The output of various commands and the content of various config files or included below and the output of journalctl -b -u systemd-udevd attached.



# udev.conf

udev_log="debug"

journalctl -b -u systemd-udevd

Version-Release number of selected component (if applicable):

$ uname -a
Linux ormshaw.waters.com 4.9.6-200.fc25.x86_64 #1 SMP Thu Jan 26 10:17:45 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

$ cat /etc/fedora-release 
Fedora release 25 (Twenty Five)

How reproducible:
Raw install of Fedora 25 repeatedly reboot

Steps to Reproduce:
1.Install Fedora on a system with two on-board Ethernet interfaces
2.Note the name given to each Ethernet interface (against it's mac address
3.Reboot the system
4.Repeat steps 2 and 3

Actual results:


Expected results:


Additional info:

$ lspci | grep net
00:19.0 Ethernet controller: Intel Corporation Ethernet Connection (2) I218-LM (rev 05)
04:00.0 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
04:00.1 Ethernet controller: Intel Corporation I350 Gigabit Network Connection (rev 01)
08:00.0 Ethernet controller: Intel Corporation I210 Gigabit Network Connection (rev 03)
$ ifconfig
eno1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 10.121.7.44  netmask 255.255.0.0  broadcast 10.121.255.255
        inet6 fe80::23e0:410f:75:4da1  prefixlen 64  scopeid 0x20<link>
        ether 6c:0b:84:67:70:65  txqueuelen 1000  (Ethernet)
        RX packets 3515  bytes 340802 (332.8 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 21  bytes 2890 (2.8 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device memory 0xd3400000-d347ffff  

ens4f0: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
        ether a0:36:9f:99:8a:34  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device memory 0xd3200000-d32fffff  

ens4f1: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
        ether a0:36:9f:99:8a:35  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device memory 0xd3100000-d31fffff  

eth1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 172.16.1.254  netmask 255.255.255.0  broadcast 172.16.1.255
        inet6 fe80::34fe:9398:4530:919e  prefixlen 64  scopeid 0x20<link>
        ether 6c:0b:84:67:70:64  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 18  bytes 2258 (2.2 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device interrupt 20  memory 0xd3700000-d3720000  

$ ls -l /etc/sysconfig/network-scripts/ifcfg-e*
-rw-r--r--. 1 root root 338 Feb  6 15:00 /etc/sysconfig/network-scripts/ifcfg-ens0p25f0
-rw-r--r--. 1 root root 335 Feb  6 14:58 /etc/sysconfig/network-scripts/ifcfg-ens4p0f0
-rw-r--r--. 1 root root 335 Feb  6 14:58 /etc/sysconfig/network-scripts/ifcfg-ens4p0f1
-rw-r--r--. 1 root root 335 Feb  7 07:25 /etc/sysconfig/network-scripts/ifcfg-ens8p0f0

# /etc/sysconfig/network-scripts/ens0p25f0

TYPE=Ethernet
BOOTPROTO=none
DEFROUTE=no
IPV4_FAILURE_FATAL=no
IPV6INIT=yes
IPV6_AUTOCONF=yes
IPV6_DEFROUTE=yes
IPV6_FAILURE_FATAL=no
IPV6_ADDR_GEN_MODE=stable-privacy
NAME=ens0p25f0
UUID=a8dc1b28-3bf7-4dc1-a0c1-030a5513defa
ONBOOT=yes
HWADDR=6C:0B:84:67:70:64
IPADDR=172.16.1.254
PREFIX=24
IPV6_PEERDNS=yes
IPV6_PEERROUTES=yes

# /etc/sysconfig/network-scripts/ens4p0f0

TYPE=Ethernet
BOOTPROTO=dhcp
DEFROUTE=yes
IPV4_FAILURE_FATAL=no
IPV6INIT=yes
IPV6_AUTOCONF=yes
IPV6_DEFROUTE=yes
IPV6_FAILURE_FATAL=no
IPV6_ADDR_GEN_MODE=stable-privacy
NAME=ens4p0f0
UUID=0e6ff9ae-f8e4-465f-8b9f-aa4a9ecd7501
ONBOOT=yes
HWADDR=A0:36:9F:99:8A:34
PEERDNS=yes
PEERROUTES=yes
IPV6_PEERDNS=yes
IPV6_PEERROUTES=yes

# /etc/sysconfig/network-scripts/ens4p0f1

TYPE=Ethernet
BOOTPROTO=dhcp
DEFROUTE=yes
IPV4_FAILURE_FATAL=no
IPV6INIT=yes
IPV6_AUTOCONF=yes
IPV6_DEFROUTE=yes
IPV6_FAILURE_FATAL=no
IPV6_ADDR_GEN_MODE=stable-privacy
NAME=ens4p0f1
UUID=576e5580-d9cc-4d08-b14e-0563987e5c51
ONBOOT=yes
HWADDR=A0:36:9F:99:8A:35
PEERDNS=yes
PEERROUTES=yes
IPV6_PEERDNS=yes
IPV6_PEERROUTES=yes

# /etc/sysconfig/network-scripts/ens8p0f0

TYPE=Ethernet
BOOTPROTO=dhcp
DEFROUTE=yes
IPV4_FAILURE_FATAL=no
IPV6INIT=yes
IPV6_AUTOCONF=yes
IPV6_DEFROUTE=yes
IPV6_FAILURE_FATAL=no
IPV6_ADDR_GEN_MODE=stable-privacy
NAME=ens8p0f0
UUID=f66df721-81e7-4239-ba28-761952945ab6
ONBOOT=yes
HWADDR=6C:0B:84:67:70:65
PEERDNS=yes
PEERROUTES=yes
IPV6_PEERDNS=yes
IPV6_PEERROUTES=yes

Comment 1 Fedora End Of Life 2017-11-16 19:19:19 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:28:02 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.